Subject: Re: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Po Lu <[email-masked]>
Date: Sun, 12 Jun 2022 09:34:39 +0800

Visuwesh <[email-masked]> writes:

> However, I have been using the xft+harfbuzz combo for a ~week now and I
> can say with confidence that I don't experience this strange issue.  I
> would highly appreciate it if the decision to remove the xft backend
> could be delayed until a solution comes up [1].  Although the font
> rendering is worse, the text stays readable at all font sizes.
>
>
> [1] ./configure --with-cairo says,
>
>     configure: WARNING: This configuration uses libXft, which has a number of
>         font rendering issues, and is being considered for removal in the
>         next release of Emacs.  Please consider using Cairo graphics +
>         HarfBuzz text shaping instead (they are auto-detected if the
>         relevant development headers are installed).

We will not remove the Xft font backend as long as I'm still using it,
which will be quite a while.